<?php
/**
 * Header Section options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

// Add Header section
$wp_customize->add_section( 'magpaper_pro_header_section', array(
	'title'             => esc_html__( 'Header','magpaper-pro' ),
	'description'       => esc_html__( 'Header Left Section options.', 'magpaper-pro' ),
	'panel'             => 'magpaper_pro_front_page_panel',
) );

// Header content enable control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_section_enable]', array(
	'default'			=> 	$options['header_section_enable'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[header_section_enable]', array(
	'label'             => esc_html__( 'Header Left Section Enable', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'on_off_label' 		=> magpaper_pro_switch_options(),
) ) );

// Header content type control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_content_type]', array(
	'default'          	=> $options['header_content_type'],
	'sanitize_callback' => 'magpaper_pro_sanitize_select',
) );

$wp_customize->add_control( 'magpaper_pro_theme_options[header_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'type'				=> 'select',
	'active_callback' 	=> 'magpaper_pro_is_header_section_enable',
	'choices'			=> array( 
		'page' 		=> esc_html__( 'Page', 'magpaper-pro' ),
		'post' 		=> esc_html__( 'Post', 'magpaper-pro' ),
	),
) );

// featured pages drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_content_page]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[header_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'choices'			=> magpaper_pro_page_choices(),
	'active_callback'	=> 'magpaper_pro_is_header_section_content_page_enable',
) ) );

// featured posts drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_content_post]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[header_content_post]', array(
	'label'             => esc_html__( 'Select Post', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'choices'			=> magpaper_pro_post_choices(),
	'active_callback'	=> 'magpaper_pro_is_header_section_content_post_enable',
) ) );

// Header content enable control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_right_section_enable]', array(
	'default'			=> 	$options['header_right_section_enable'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[header_right_section_enable]', array(
	'label'             => esc_html__( 'Header Right Section Enable', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'on_off_label' 		=> magpaper_pro_switch_options(),
) ) );

// Header content type control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_right_content_type]', array(
	'default'          	=> $options['header_right_content_type'],
	'sanitize_callback' => 'magpaper_pro_sanitize_select',
) );

$wp_customize->add_control( 'magpaper_pro_theme_options[header_right_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'type'				=> 'select',
	'active_callback' 	=> 'magpaper_pro_is_header_right_section_enable',
	'choices'			=> array( 
		'page' 		=> esc_html__( 'Page', 'magpaper-pro' ),
		'post' 		=> esc_html__( 'Post', 'magpaper-pro' ),
	),
) );

// featured pages drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_right_content_page]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[header_right_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'choices'			=> magpaper_pro_page_choices(),
	'active_callback'	=> 'magpaper_pro_is_header_right_section_content_page_enable',
) ) );

// featured posts drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[header_right_content_post]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[header_right_content_post]', array(
	'label'             => esc_html__( 'Select Post', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_header_section',
	'choices'			=> magpaper_pro_post_choices(),
	'active_callback'	=> 'magpaper_pro_is_header_right_section_content_post_enable',
) ) );
