<?php
/**
 * Top bar options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

$wp_customize->add_section( 'magpaper_pro_top_bar', array(
	'title'            		=> esc_html__( 'Top bar','magpaper-pro' ),
	'description'      		=> esc_html__( 'Top bar section options.', 'magpaper-pro' ),
	'panel'            		=> 'magpaper_pro_theme_options_panel',
) );

// Top bar enable setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[top_bar_enable]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
	'default'             	=> $options['top_bar_enable'],
) );

$wp_customize->add_control(  new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[top_bar_enable]', array(
	'label'               	=> esc_html__( 'Enable top bar', 'magpaper-pro' ),
	'section'             	=> 'magpaper_pro_top_bar',
	'on_off_label' 		=> magpaper_pro_switch_options(),
) ) );

// Top bar icons setting and control.
$wp_customize->add_setting( 'magpaper_pro_theme_options[top_bar_on]', array(
	'sanitize_callback' 	=> 'magpaper_pro_sanitize_select',
	'default'				=> $options['top_bar_on'],
) );

$wp_customize->add_control( 'magpaper_pro_theme_options[top_bar_on]', array(
	'label'           		=> esc_html__( 'Enable on', 'magpaper-pro' ),
	'section'         		=> 'magpaper_pro_top_bar',
	'type'					=> 'select',
	'choices'				=> array( 
									'frontpage' => esc_html__( 'Front Page Only', 'magpaper-pro' ), 
									'entire-site' => esc_html__( 'Entire Site', 'magpaper-pro' ),
								),
	'active_callback' 		=> 'magpaper_pro_is_top_bar_enable',
) );
